CUDNN Frontend API 8.3.0

Static Public Attributes | List of all members
nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value &&is_detected< iterator_t, CompatibleArrayType >::value &&!is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value &&is_detected< iterator_t, CompatibleArrayType >::value &&!is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > >:

## Static Public Attributes
static constexpr bool | value

## Detailed Description

### template<typename BasicJsonType, typename CompatibleArrayType>
struct nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value &&is_detected< iterator_t, CompatibleArrayType >::value &&!is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > >

Definition at line 3720 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename BasicJsonType , typename CompatibleArrayType >

constexpr bool nlohmann::detail::is_compatible_array_type_impl< BasicJsonType, CompatibleArrayType, enable_if_t< is_detected< value_type_t, CompatibleArrayType >::value &&is_detected< iterator_t, CompatibleArrayType >::value &&!is_iterator_traits< iterator_traits< CompatibleArrayType > >::value > >::value
| static

Initial value:
=
is_constructible<BasicJsonType,
typename CompatibleArrayType::value_type>::value

Definition at line 3730 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp